<div class="container-fluid">
  <h3>Rest</h3>
  <span>Ejemplo consumir api vía servicio de angular con HttpClientModule, debes utilizar *ngIf para prevenir que se
    produzcan errores al cargar el DOM</span>

  <!-- Parseo de objeto desde api rest -->
  <div style="margin-top: 32px;">
    <!-- Condicionales, si el objeto está vacío, muestra otra cosa, al ser un observable el valor cambia y se refleja en el frontend de forma automatica-->
    <div *ngIf="userData != null ; else loading" class="card mb-3" style="max-width: 540px;">
      <div class="row no-gutters">
        <div class="col-md-4">
          <img [src]=" userData.avatar_url" class="card-img" height="100%" style="border-radius: 0px;" alt="User">
        </div>
        <div class="col-md-8">
          <div class="card-body">
            <h5 class="card-title"> {{userData.name}} </h5>
            <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional
              content.
              This content is a little bit longer.</p>
            <p class="card-text"><small class="text-muted">Ubicación: {{userData.location}} </small></p>
          </div>
        </div>
      </div>
    </div>

    <!-- Cargando -->
    <ng-template #loading>
      <div class="spinner-border" role="status">
        <span class="sr-only">Loading...</span>
      </div>
    </ng-template>
  </div>
</div>